void live_idle(void); /* Called in main loop */
void feed_stats_dup(void);
int feed_setnorules(int x);
int feed_setnorules(int x);
void feed_exit(void);
void feed_setipname(char *s);
int feed_wasspam(void);
int feed_statsset(void);
int feed_statsclear(void);
int feed_statssave(void);
void feed_skipspam(int x);
int feed_doit_name(char *feedname);
char *feed_toname(char *sitename);

void feed_setlog(char *s, int t);
void feed_reload(void);
void feed_addmail(void);
int feed_thisposting(void);
void feed_stats(int ok);
void feed_setpost(int t);
int feed_doit_if(void);
int feed_find(char *s);
void live_send_chunk(int chan);
void feed_flushuucp(void);
String *feed_out(void);

int feed_wanted(char *s);
int feed_doit(void);
int feed_firsttime(void);
int feed_load(void);
void feed_defaults(void);
void feed_clear(void);
void setfree(char **s);
void feed_new(void);
void feed_add(char *rec);
int feed_link(char *msgid,char *distrib,char *groups[],int *gpointid,char *opath, int size,char *groupnum, String *xitem);
int feed_me(char *msgid,char *distrib,char *groups[],int *gpointid, char *opath, int size, String *item);
int feed_rest(char *msgid,char *distrib,char *groups[],int *gpointid,char *opath, int size,char *groupnum, String *item);
int feed_test(int f, char *msgid,char *distrib,char *groups[],int *gpointid,char *opath, int size, String *xitem);
int feed_distmatch(char *list, char *dis);
void feed_mask_reload(void);
int feed_flush(void);
int feed_flush2(int force);
int feed_flushsite(char *s);
int feed_send(int f, char *msgid, char *groupnum, int fails);
int feed_open(int f);
void feed_addgroup(int g);

int feed_start(char *feedname);
int feed_next(int *grp, int *num);
int feed_reque(int itfailed);
int feed_end(void) ;
int feed_posting(void);
int feed_byposting(void);
int feed_local(char *groupnum, int ismod);
int feed_delete(void);
int feed_smtp(void);
String *feed_status(void);
int feed_posttest(char *groups[],int ng);

/* brian - scoring filter functions */

void score_test();
void score_add(char *s,int score);
int score_one(char*s/*String *xitem,int ng*/,char *reason);
int score_all(char *s);
void score_free(void);
void score_load(char *fname);

